/**
 * 
 */
package com.beem.project.beem.service;

import org.jivesoftware.smack.RosterEntry;
import org.jivesoftware.smack.XMPPConnection;
import org.jivesoftware.smack.packet.RosterPacket.ItemStatus;
import org.jivesoftware.smack.packet.RosterPacket.ItemType;

import android.os.IBinder;
import android.os.RemoteException;

import com.beem.project.beem.service.aidl.IRosterEntry;

/**
 * @author darisk
 *
 */
public class RosterEntryAdapter extends IRosterEntry.Stub {

    private RosterEntry adaptee;
    
    public RosterEntryAdapter(RosterEntry entry) {
	adaptee = entry;
    }

    @Override
    public String getName() throws RemoteException {
	return adaptee.getName();
    }

    @Override
    public String getUser() throws RemoteException {
	return adaptee.getUser();
    }

    @Override
    public void setName(String name) throws RemoteException {
	adaptee.setName(name);
    }
}
